## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationTypekeyOptions

### Authentication::ezcAuthenticationTypekeyOptions

### Class ezcAuthenticationTypekeyOptions

Class containing the options for the TypeKey authentication filter.

Example of use:

1. // create an options object
2. $options=new ezcAuthenticationTypekeyOptions ();
3. $options->validity=60;
4. $options->keysFile='/tmp/typekey_keys.txt';
5. $options->requestSource=$_POST;
7. // use the options object when creating a new TypeKey filter
8. $filter=new ezcAuthenticationTypekeyFilter ($options);
10. // alternatively, you can set the options to an existing filter
11. $filter=new ezcAuthenticationTypekeyFilter ();
12. $filter->setOptions($options);

Source for this file: /Authentication/src/options/typekey_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationFilterOptions
          |
          --ezcAuthenticationTypekeyOptions

Version: | //autogen//

### Properties

string | read/write | `$keysFile` The file from where to retrieve the public keys which are used for checking the TypeKey signature. Can be a local file or a URL. Default is http://www.typekey.com/extras/regkeys.txt. Developers can save the file locally once per day to improve the speed of the TypeKey authentication (which reads this file at every authentication attempt).
array(string=>mixed) | read/write | `$requestSource` From where to get the parameters returned by the TypeKey server. Default is $_GET.
int | read/write | `$validity` The maximum timespan that can exist between the timestamp sent by the application server at log-in and the timestamp sent by the TypeKey server. A value of 0 means the validity value is not taken into consideration when validating the response sent by the TypeKey server. Do not use a value too small, as the servers might not be synchronized.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationTypekeyOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcAuthenticationFilterOptions
public ezcAuthenticationFilterOptions | `ezcAuthenticationFilterOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationTypekeyOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | Options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | if $options contains a property not defined
`ezcBaseFilePermissionException` | if the $value file cannot be opened for reading
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBaseFileNotFoundException` | if the $value file does not exist

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationFilterOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3